(ns ldview.routes.home
  (:use compojure.core)
  (:require [ldview.views.layout :as layout]
            [ldview.util :as util]))

; Just for now ...
(defn waiting-page []
  (layout/render "waiting.html"))

(defn home-page []
  (layout/render
    "home.html" {:content (util/md->html "/md/docs.md")}))

(defroutes home-routes
  (GET "/" [] (waiting-page)))
